Subject: [quicwg/base-drafts] hq: Are h2 pseudo-header requirements applicable (#1461)

From: Lucas Pardue <[email-masked]>
Date: Tue, 19 Jun 2018 07:09:44 -0700

I was reading through [RFC 7540 Section 8.1.2.1](https://tools.ietf.org/html/rfc7540#section-8.1.2.1) and was wondering if these requirements still hold true for HTTP/QUIC. Especially regarding pseudo-headers, from RFC 7540 

> All pseudo-header fields MUST appear in the header block before regular header fields.

[HTTP/QUIC Section 3.2](https://tools.ietf.org/html/draft-ietf-quic-http-12#section-3.2) states that the message exchange sequence starts with one header block containing RFC 7230 headers. The HEADERS frame description mostly delegates to QPACK, which doesn't seem to mention pseudo-headers.

I appreciate a lot of HTTP/2 behaviour is inherited and the tendancy is to document difference. Perhaps we just need a small statement to highlight H2-defined pseudo-headers.

PS. the only mention of pseudo-headers is in 3.2.2 in relation to the CONNECT method :)

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1461

---

From: Mike Bishop <[email-masked]>
Date: Tue, 19 Jun 2018 12:43:26 -0700

It's intended to.  I think this falls in the general category of "Things the draft assumes readers already know from HTTP/2," a category I've been trying to eliminate.  I'd rather either explicitly reference the RFC7540 text where it applies (e.g. priorities) or restate it locally.

@ianswett said some of his team had feedback in this vein as well; can we get issues filed for those, or just a laundry list sent my way?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1461#issuecomment-398521271

---

From: Lucas Pardue <[email-masked]>
Date: Tue, 19 Jun 2018 19:55:34 +0000 (UTC)

Speaking to our implementation experience, we happened upon the right answer by relying on existing HTTP/2 knowledge and code. I think it would help to do what you've suggested.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1461#issuecomment-398524716